Tools‎ > ‎16S tools‎ > ‎QIIME‎ > ‎Alpha & Beta diversity‎ > ‎

biom error



Error while running CSS normalisation

normalize_table.py -i otu_table.biom -a CSS -o otu_table_CSSnorm.biom

Library biom not found.
To install, open R and run the command:
  install.packages("biom")
If you already have the biom package installed in a local directory,
please store the path to that directory in an environment variable
called "R_LIBRARY_PATH". This may be necessary if you are running
QIIME on a cluster, and the cluster instances of R don't know about
your local R libraries. If you don't know your R library paths, you
can list them by opening R and running with the command, ".libPaths()".
The current R instance knows about these paths:
[/usr/lib64/R/library, /usr/share/R/library]
Warning message:
In library(lib.name, character.only = TRUE, logical.return = TRUE,  :
  there is no package called ‘biom’


Problem: biom package is not installed in R
                   "Package ‘biom’ was removed from the CRAN repository."
                   https://cran.r-project.org/web/packages/biom/index.html

Solution

install development version of the R biom package
 
   1) install libssl libcurl libxml on linux
  sudo apt-get install libssl-dev curl libcurl4-openssl-dev libxml2-dev   # Debian/Ubuntu
  sudo yum install -y openssl-devel curl libcurl libcurl-devel libxml2 libxml2-devel # CentOS

  2) In R: install development tools
    to be able to download and install biom from git
  R
  install.packages("devtools")
  library("devtools")
  install_github("joey711/biom")


# Error in R
Warning messages:
1: In install.packages("devtools") :
  installation of package ‘curl’ had non-zero exit status
2: In install.packages("devtools") :
  installation of package ‘openssl’ had non-zero exit status
3: In install.packages("devtools") :
  installation of package ‘git2r’ had non-zero exit status
4: In install.packages("devtools") :
  installation of package ‘httr’ had non-zero exit status
5: In install.packages("devtools") :
  installation of package ‘devtools’ had non-zero exit status

# requires Linux/Ubuntu installation of libssl libcurl and libxml, see (1) above.




Comments